hxt-9.3.1.1: A collection of tools for processing XML with Haskell.

Portability | portable
Stability | experimental
Maintainer | Uwe Schmidt (uwe\@fh-wedel.de)
Safe Haskell | Safe-Inferred

Control.Arrow.IOListArrow

Description

Implementation of pure list arrows with IO

Synopsis

- newtype IOLA a b = IOLA {
  - runIOLA :: a -> IO [b]
  }

# Documentation

newtype IOLA a b

list arrow combined with IO monad

Constructors

IOLA |

Fields

runIOLA :: a -> IO [b]

Instances

Arrow IOLA |
ArrowZero IOLA |
ArrowPlus IOLA |
ArrowChoice IOLA |
ArrowApply IOLA |
Category IOLA |
ArrowList IOLA |
ArrowWNF IOLA |
ArrowNF IOLA |
ArrowIf IOLA |
ArrowNavigatableTree IOLA |
ArrowTree IOLA |
ArrowIOIf IOLA |
ArrowIO IOLA |
ArrowExc IOLA |
ArrowDTD IOLA |
ArrowXml IOLA |